Bug 179558 - Refresh the webkit.org design
Summary: Refresh the webkit.org design
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jon Davis
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-10 15:57 PST by Jon Davis
Modified: 2017-11-15 09:34 PST (History)
4 users (show)

See Also:


Attachments
Patch (72.35 KB, patch)
2017-11-10 16:00 PST, Jon Davis
no flags Details | Formatted Diff | Diff
Patch (72.39 KB, patch)
2017-11-10 16:11 PST, Jon Davis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Davis 2017-11-10 15:57:19 PST
Update the webkit.org landing page with a new hero design, and update site-wide design details to provide consistent visuals and layout.
Comment 1 Jon Davis 2017-11-10 16:00:37 PST
Created attachment 326647 [details]
Patch
Comment 2 Build Bot 2017-11-10 16:03:43 PST
Attachment 326647 [details] did not pass style-queue:


ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:43:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:44:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:45:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:410:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:411:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:710:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1353:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1478:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1479:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1484:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1485:  Line contains tab character.  [whitespace/tab] [5]
ERROR: Websites/webkit.org/wp-content/themes/webkit/style.css:1486:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 12 in 19 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Jon Davis 2017-11-10 16:11:03 PST
Created attachment 326648 [details]
Patch
Comment 4 Alexey Proskuryakov 2017-11-11 11:29:05 PST
Comment on attachment 326648 [details]
Patch

rs=me
Comment 5 WebKit Commit Bot 2017-11-13 09:40:35 PST
Comment on attachment 326648 [details]
Patch

Clearing flags on attachment: 326648

Committed r224757: <https://trac.webkit.org/changeset/224757>
Comment 6 WebKit Commit Bot 2017-11-13 09:40:36 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2017-11-15 09:34:59 PST
<rdar://problem/35562003>